Package org.eclipse.graphiti.ui.internal.command

## Class GefCommandWrapper

- java.lang.Object
- - org.eclipse.gef.commands.Command
  - - org.eclipse.graphiti.ui.internal.command.GefCommandWrapper

    public class GefCommandWrapper
    extends org.eclipse.gef.commands.Command

### Constructor Summary

Constructors
`GefCommandWrapper​(ICommand command, org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canExecute()`
`boolean` `canUndo()`
`void` `execute()`
`ICommand` `getCommand()`
`java.lang.String` `getLabel()`
`void` `redo()`
`void` `undo()`

### Methods inherited from class org.eclipse.gef.commands.Command

`canRedo, chain, dispose, getDebugLabel, setDebugLabel, setLabel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GefCommandWrapper

    public GefCommandWrapper​(ICommand command,
                             org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain)

### Method Detail

#### canExecute

    public boolean canExecute()

Overrides:
  `canExecute` in class `org.eclipse.gef.commands.Command`

#### canUndo

    public boolean canUndo()

Overrides:
  `canUndo` in class `org.eclipse.gef.commands.Command`

#### execute

    public void execute()

Overrides:
  `execute` in class `org.eclipse.gef.commands.Command`

#### getLabel

    public java.lang.String getLabel()

Overrides:
  `getLabel` in class `org.eclipse.gef.commands.Command`

#### undo

    public void undo()

Overrides:
  `undo` in class `org.eclipse.gef.commands.Command`

#### getCommand

    public ICommand getCommand()

#### redo

    public void redo()

Overrides:
  `redo` in class `org.eclipse.gef.commands.Command`